@import "../valo/valo.scss";


#info {
	position: static !important;

	#infocontent {
		height: 100%;
		width: 100%;
		position: absolute;
		top: 0;
		margin-top: 55px;
		border-bottom: 55px solid transparent;
		@include border-box;
		@include user-select(text);
	}

	.v-ui[width-range~="801px-"] .resizing &,
	.v-ui[width-range~="801px-"] &.folding {
		#infocontent,
		#sourceview {
			-webkit-perspective: 2000px;
			perspective: 2000px;
		}
	}

	#description,
	#sourceview {
		position: absolute;
		top: 0;
		height: 100%;
		width: 100%;
	}

	/* 	This is to prevent https://code.google.com/p/chromium/issues/detail?id=363609 */
	overflow: hidden;


	&.source-selected:not(.folding) {
		overflow: visible !important;
	}

	.sidebar-open .v-ui[width-range~="801px-"] &.folding {
		#sourceview pre,
		#description {
			overflow: hidden !important;
		}
	}
	/*********/



	.sidebar-open & #sourcecode-clone-wrapper {
   		top: 100%;
	}

	.v-ui[width-range~="801px-"] &.folding #sourcecode-clone-wrapper,
	.resizing & #sourcecode-clone-wrapper {
		top: 0;
	}

	.v-ui[width-range~="801px-"] & #sourcecode {
		@include transform(rotateY(180deg));
	}

	.sidebar-open .v-ui[width-range~="801px-"] &.source-selected {
		#description {
			@include transform(rotateY(-180deg));
		}

		#sourcecode {
			@include transform(rotateY(0));
		}
	}

	.v-ui[width-range~="0px-800px"] & {
		&.description-selected #sourceview,
		&.source-selected #description {
			display: none;
		}
	}

	.tabpanel-content {
		overflow: visible !important;
	}
}

.v-ie8, .v-ie9  {

	#description {
		display: none;
	}

	.description-selected {

		#sourceview {
			display: none;
		}

		#description {
			display: block;
		}
	}

}
